TilingAdapter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Interface TilingAdapter

All Known Implementing Classes:
  TilingAdapter.CrossTileAdapter, TilingAdapter.TiledAdapter, TilingAdapter.UntiledAdapter

    public interface TilingAdapter

An interface class for a set of adapter classes that hide the tiling format of a VPF table. None of the methods taking a List parameter may modify the passed in list.

See Also:
  `DcwRecordFile.getTilingAdapter(String,String)`

Nested Class Summary
`static class` | `TilingAdapter.CrossTileAdapter` A TilingAdapter for tiled data where the primitive column is a cross-tile identifier.
`static class` | `TilingAdapter.TiledAdapter` A TilingAdapter where the tile identifier is retrieved from the tile_id column, and the primitive identifier comes from a numeric column.
`static class` | `TilingAdapter.UntiledAdapter` A TilingAdapter for untiled data.

Method Summary
`DcwCrossTileID` | `getPrim(java.util.List<java.lang.Object> l)` Get the full set of primitive information
`int` | `getPrimId(java.util.List<java.lang.Object> l)` Get the primitive identifier in the current tile
`int` | `getTileId(java.util.List<java.lang.Object> l)` Get the tile identifier for the alternate tile
`int` | `getTilePrimId(java.util.List<java.lang.Object> l)` Get the primitive identifier in the alternate tile

Method Detail

### getTileId

    int getTileId(java.util.List<java.lang.Object> l)

  Get the tile identifier for the alternate tile

  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the tile id of the alternate tile

### getPrimId

    int getPrimId(java.util.List<java.lang.Object> l)

  Get the primitive identifier in the current tile

  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitive id in the current tile

### getTilePrimId

    int getTilePrimId(java.util.List<java.lang.Object> l)

  Get the primitive identifier in the alternate tile

  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitive id in the alternate tile

### getPrim

    DcwCrossTileID getPrim(java.util.List<java.lang.Object> l)

  Get the full set of primitive information

  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the full cross tile identifier information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details